I guess linux-zen is not what you think it is.

Take a look here:
https://wiki.archlinux.org/index.php...lly_supported_...